Package org.drinkless.tdlib

# Class TdApi.InputBackgroundPrevious

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputBackground
org.drinkless.tdlib.TdApi.InputBackgroundPrevious

Enclosing class:
  TdApi

public static class TdApi.InputBackgroundPrevious extends TdApi.InputBackground
A background previously set in the chat; for chat backgrounds only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputBackground

  `TdApi.InputBackground.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the message with the background.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputBackgroundPrevious()`
  A background previously set in the chat; for chat backgrounds only.
  `InputBackgroundPrevious(long messageId)`
  A background previously set in the chat; for chat backgrounds only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageId

    public long messageId
    Identifier of the message with the background.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputBackgroundPrevious

    public InputBackgroundPrevious()
    A background previously set in the chat; for chat backgrounds only.

  - ### InputBackgroundPrevious

    public InputBackgroundPrevious(long messageId)
    A background previously set in the chat; for chat backgrounds only.
    Parameters:
      `messageId` - Identifier of the message with the background.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputBackground`
    Returns:
      this.CONSTRUCTOR